com.here.msdkui.routing

## Enum RouteDescriptionList.SortOrder

- java.lang.Object
- - java.lang.Enum<RouteDescriptionList.SortOrder>
  - - com.here.msdkui.routing.RouteDescriptionList.SortOrder

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RouteDescriptionList.SortOrder>
  Enclosing class:
    RouteDescriptionList

      public static enum RouteDescriptionList.SortOrder
      extends java.lang.Enum<RouteDescriptionList.SortOrder>

  An enum describing the order types that are available for this list.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASCENDING` Sort with ascending order.
    `DESCENDING` Sort with descending order.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RouteDescriptionList.SortOrder` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RouteDescriptionList.SortOrder[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ASCENDING

          public static final RouteDescriptionList.SortOrder ASCENDING

      Sort with ascending order.

    - #### DESCENDING

          public static final RouteDescriptionList.SortOrder DESCENDING

      Sort with descending order.

  - ### Method Detail

    - #### values

          public static RouteDescriptionList.SortOrder[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RouteDescriptionList.SortOrder c : RouteDescriptionList.SortOrder.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RouteDescriptionList.SortOrder valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null